Subject: EGCS (was Re: MS Platform SDK now available)
From: [email-masked] (Paul Garceau)

21 Nov 1997 19:05:01 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

On 20 Nov 97 at 0:22, the Illustrious Jan-Jaap van der Heijden wrote:

> On Tue, 18 Nov 1997, Paul Garceau wrote:
> 
> > 	Anyone had the opportunity to attempt using the Platform SDK under 
> > Gnu-Win32 (eg. mingw32)?  If so, are there any steps I need to take in 
> > order to enable it for this NT 4.0 system?
> > 
> 
> I've been playing with a mingw32 EGCS compiler and the MS Platform SDK.
> It won't work out of the box. I added these switches to the "predefines"
> section of GCC the GCC specs file:
> 
>   -D_STDCALL_SUPPORTED -D_M_IX86=1 -D_inline=__inline__
>   -D_cdecl=__attribute__((__cdecl__)) -D__declspec(dllimport)=
> 
> You will have to remove, or rewrite some functions in inline assembly
> from winnt.h, because they use intel syntax, not AT&T like GNU does.
> 
> It works as long as you supply -DWIN32_LEAN_AND_MEAN with CFLAGS, and
> ignore a flood of GCC warnings. I only tested it on a few trivial
> programs, though.

	Where can I find the egcs compiler?

	Thanks,

		Paul G.

Chronicles of Aurum: Book I
      A Journey Into the Fantastic
http://www.submergedsoftware.com/
ICQ#977283
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".